SELECT  se.nome AS nome_empresa, 
		pe.nome AS atendente,
		'PRODUTO' AS codigo,
		'PRODUTO' AS denominacao,
		'' AS denominacao_reduzida,
		(
			SELECT f_obtem_parametro_decimal(
			'prevenda.meta_valor_produtos',
			se.id_empresa, Null, 'N')
		) AS meta_venda_produtos,
			
		(			
			SELECT f_obtem_parametro_decimal(
				'prevenda.produtos_valor_premiação',
			se.id_empresa, Null, 'N')
		) as valor_premiacao,
		
		TO_CHAR(mvt.data_movimento, 'dd/mm') AS data_movimento,
		
		(CASE EXTRACT( DOW FROM mvt.data_movimento)
			WHEN 0 THEN 'DOM'
			WHEN 1 THEN 'SEG'
			WHEN 2 THEN 'TER'
			WHEN 3 THEN 'QUA'
			WHEN 4 THEN 'QUI'
			WHEN 5 THEN 'SEX'
			WHEN 6 THEN 'SAB'
		END) AS DiaSemana,
		
		
		--COUNT(ivc.id_item) AS numero_vendas,
		--(SUM(ivc.total_item)/ COUNT(ivc.id_item)) as ticket_medio
		SUM(ivc.quantidade) AS qtde_outros_produtos,
		SUM(ivc.total_item) AS total_outros_produtos
		--CAST(0 AS DECIMAL(12,2)) AS qtde_outros_produtos,
		--CAST(0 AS DECIMAL(12,2)) AS total_outros_produtos
	FROM	item_venda_cf AS ivc 
		INNER JOIN venda_cf AS vc ON (vc.id_venda_cf = ivc.id_venda_cf)
		INNER JOIN movimento_venda_terminal AS mvt ON (mvt.id_movimento_venda_terminal = vc.id_movimento_venda_terminal)
		INNER JOIN item AS i ON (ivc.id_item = i.id_item)
		INNER JOIN categoria_item AS ci ON (i.id_categoria_item = ci.id_categoria_item)
		INNER JOIN sis_empresa AS se ON (se.id_empresa = mvt.id_empresa)
		INNER JOIN pessoa AS pe ON (pe.id_pessoa = ivc.id_atendente)   
 		
	WHERE	
	--Traz somente produtos parametrizados em EMPRESA > PRE VENDA > Código Combustivel Meta
	--position(i.codigo in f_obtem_parametro_alfanumerico('prevenda.código_combustivel_ticket_medio', se.id_empresa, Null, 'N')) > 0 
	mvt.id_empresa = :IdEmpresaObrigatorio --ID Empresa
	AND	mvt.data_movimento BETWEEN :DataInicial AND :DataFinal
	AND	DATE(vc.data_cupom) BETWEEN :DataInicial AND :DataFinal
	AND	DATE(ivc.data_venda) BETWEEN :DataInicial AND :DataFinal
	AND	(:IdColaborador = -1 OR ivc.id_atendente = :IdColaborador)
	AND	(ivc.cancelado = 'N' AND vc.cancelada = 'N')
	AND i.id_categoria_item IN (:IdCategoriaItemMultSlc) --FILTRAR POR CATEGORIA
	AND	ivc.id_bico_combustivel IS NULL 
	GROUP BY 1,2,3,4,5,6,7,8,9


